<?php defined('_JEXEC') or die('Restricted access');

/**
 * @version 2.0 $Id: admin.linkdirectory2.php,v 1.9 2010-02-03 23:17:00 harry Exp $
 * @package Joomla
 * @subpackage H2N Link Directory 2
 * @copyright (C) 2008 - 2009 Harry Klein - www.joomla-hklein.de
 * @Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com
 * @license GNU/GPL, see LICENSE.php
 * 
 * H2N Link Directory 2 is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.
 *
 * H2N Link Directory 2 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with EventList; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

require_once (JPATH_COMPONENT.DS.'controller.php');
if($controller = JRequest::getVar('controller')) {
	require_once (JPATH_COMPONENT.DS.'controllers'.DS.$controller.'.php');
}
$classname	= 'LinkDirectory2Controller'.$controller;
$controller = new $classname( );
$controller->registerTask('unpublishWebCategory','publishWebCategory');
$controller->registerTask('unpublishWebLink','publishWebLink');
$controller->registerTask('unpublishWebComment','publishWebComment');
$controller->registerTask('applyWebLink','saveWebLink');
$controller->registerTask('applyWebCategory','saveWebCategory');

$controller->registerTask('orderUpWebLinks','orderDownWebLinks');
$controller->registerTask('orderUpWebCategories','orderDownWebCategories');

switch (JRequest::getVar('task')){
	case 'WebLinkpublish':
		JRequest::setVar('task','publishWebLink');
		break;
	case 'WebLinkunpublish':
		JRequest::setVar('task','unpublishWebLink');
		break;
	case 'WebCategorypublish':
		JRequest::setVar('task','publishWebCategory');
		break;
	case 'WebCategoryunpublish':
		JRequest::setVar('task','unpublishWebCategory');
		break;
	case 'WebCommentpublish':
		JRequest::setVar('task','publishWebComment');
		break;
	case 'WebCommentunpublish':
		JRequest::setVar('task','unpublishWebComment');
		break;
}
$controller->execute( JRequest::getVar('task'));
$controller->redirect();

?>
